Bug 1574202 - "Next" button of HE wizard is disabled if gdeploy is not installed
Summary: "Next" button of HE wizard is disabled if gdeploy is not installed
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: cockpit-ovirt
Classification: oVirt
Component: Hosted Engine
Version: 0.11.12
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ovirt-4.2.3
: ---
Assignee: Phillip Bailey
QA Contact: Yihui Zhao
URL:
Whiteboard:
Depends On:
Blocks: 1483586
TreeView+ depends on / blocked
 
Reported: 2018-05-02 19:32 UTC by Phillip Bailey
Modified: 2018-05-10 06:30 UTC (History)
12 users (show)

Fixed In Version: cockpit-ovirt-0.11.24-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-10 06:30:13 UTC
oVirt Team: SLA
rule-engine: ovirt-4.2+
rule-engine: blocker+
cshao: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 90860 master MERGED wizard: Only disable Next button in Gluster wizard 2018-05-03 03:44:13 UTC
oVirt gerrit 90862 ovirt-4.2 MERGED wizard: Only disable Next button in Gluster wizard 2018-05-03 03:50:26 UTC

Description Phillip Bailey 2018-05-02 19:32:06 UTC
Description of problem:
The "Next" button in the footer of the HE wizard is disabled when the wizard is started if gdeploy isn't installed.

Version-Release number of selected component (if applicable):
cockpit-ovirt-dashboard-0.11.23-1.20180430.git5d2b561.el7.centos.noarch

How reproducible:
100%

Steps to Reproduce:
1. Run HE wizard on a system without gdeploy installed

Actual results:
The "Next" button is disabled.

Expected results:
The "Next" button should be enabled.

Additional info:
Issue introduced here: https://gerrit.ovirt.org/#/c/90566/3/dashboard/src/components/common/Wizard/Wizard.js

Comment 1 Yaniv Kaul 2018-05-02 19:39:13 UTC
We can't wait with this till 4.2.4. That's a blocker - what is the workaround for anyone without gdeploy?

Comment 2 Ryan Barry 2018-05-02 19:43:40 UTC
Moving back to 4.2.3

Is this only on master, or also 4.2?

Comment 3 Ryan Barry 2018-05-02 19:43:40 UTC
Moving back to 4.2.3

Is this only on master, or also 4.2?

Comment 4 Phillip Bailey 2018-05-02 19:46:25 UTC
Currently, you can still use the step indicators in the wizard header to move between the steps.

Comment 5 Phillip Bailey 2018-05-02 19:48:45 UTC
(In reply to Ryan Barry from comment #3)
> Moving back to 4.2.3
> 
> Is this only on master, or also 4.2?

I haven't confirmed the behavior, but the patch was backported to 4.2, so the behavior should be present there, as well.

Comment 6 Ying Cui 2018-05-03 11:50:36 UTC
We tested cockpit-ovirt-0.11.18-1.el7ev on RHEL and sent the report, the issue did not exist.
We tested cockpit-ovirt-0.11.22-1.el7ev, no such issue. The issue only happened on cockpit-ovirt-0.11.23-1.el7ev, we add Regression Keywords accordingly.

Comment 7 Yihui Zhao 2018-05-07 01:55:03 UTC
Tested with cockpit-ovirt-0.11.24-1, if the gdeploy is not installed, the "Next" button of HE wizard is enabled.



So, moving to verified.

Comment 8 Sandro Bonazzola 2018-05-10 06:30:13 UTC
This bugzilla is included in oVirt 4.2.3 release, published on May 4th 2018.

Since the problem described in this bug report should be
resolved in oVirt 4.2.3 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.